Get UMLS concept detail by CUI
curl --request GET \
--url https://api-dev.rcintell.com/v1/concepts/umls/{cui} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-dev.rcintell.com/v1/concepts/umls/{cui}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-dev.rcintell.com/v1/concepts/umls/{cui}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"concept": {
"attribution": {
"confidence": 123,
"source_vocabulary": "<string>",
"umls_release": "<string>",
"source_code": "<string>"
},
"cui": "<string>",
"preferred_name": "<string>",
"semantic_types": [
"<string>"
]
},
"alternates": [
{
"attribution": {
"confidence": 123,
"source_vocabulary": "<string>",
"umls_release": "<string>",
"source_code": "<string>"
},
"cui": "<string>",
"preferred_name": "<string>",
"semantic_types": [
"<string>"
]
}
],
"reliability": {
"generated_at": "<string>",
"data_sources": {},
"dataset_versions": {},
"degraded": false,
"warnings": [
"<string>"
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}knowledge
Get UMLS concept detail by CUI
Return a single UMLS concept record with normalized metadata.
GET
/
v1
/
concepts
/
umls
/
{cui}
Get UMLS concept detail by CUI
Authorizations
Path Parameters
UMLS concept unique identifier (CUI), for example C0011849.